Subject: bug#50192: Bug: Yank slow and cancels macro recording

From: Seth Sevier <[email-masked]>
Date: Wed, 25 Aug 2021 08:53:35 -0400

My apologies, I neglected to say emacs -nw -Q.  I've done my work in an SSH session for too long I suppose!

I am running st, setting TERM=st-256color to TERM=xterm-256color resolves the issue, as well as switching to xfce4-terminal.

I've located an older Ubuntu machine on commit 17048030f52b359d3baa09fb8f7a7c8c308ba666.  The issue does not happen there, and does upon updating to the latest commit.
Unfortunately I can't verify if downgrading back to that commit works, on either machine running a make clean && make install gives me  'make: *** [Makefile:443: src] Error 2'.
Switching back to the Debian/bullseye apt binary on verison 27.1 does resolve the issue at least.

On Wed, Aug 25, 2021 at 01:39:09PM +0200, Lars Ingebrigtsen wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > I cannot reproduce this, FWIW.
> 
> I can't reproduce it either (and I'm using Debian/bullseye, like the bug
> reporter).
> 
> Seth, are you using some kind of clipboard manager in Linux that may be
> interfering with what Emacs is doing here?
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no